Skip to main content
GET
/
v2
/
offer
curl -X GET \
  'https://api.appcharge.com/v2/offer?publisherOfferIds=reward-calendar-1' \
  -H 'Content-Type: application/json' \
  -H 'x-publisher-token: <x-publisher-token>'
{
  "totalCount": 1,
  "offers": [
    {
      "offerId": "69fb22e6dd352b799c65e97f",
      "publisherOfferId": "reward-calendar-1",
      "name": "Weekly Reward Calendar",
      "type": "PopUp",
      "subType": "RewardCalendar",
      "active": true,
      "priority": 1,
      "startOver": false,
      "rewardCalendar": {
        "resetBehavior": "ToCalendarStart",
        "popupTrigger": "ShowAutomatically",
        "rewardCollectionBehavior": "ForcePlayerToCollect"
      },
      "offerUi": {
        "offerUiId": "69fb22e6dd352b799c65e97e",
        "active": true,
        "offerUiType": "PopUp",
        "offerUiSubType": "RewardCalendar",
        "name": "Weekly Reward Calendar Design",
        "externalId": "reward-calendar-design-1"
      },
      "productsSequence": [
        {
          "index": 1,
          "products": [
            {
              "publisherProductId": "coins",
              "quantity": 100,
              "priority": "Sub"
            }
          ],
          "priceInUsdCents": 0
        },
        {
          "index": 2,
          "products": [
            {
              "publisherProductId": "gems",
              "quantity": 10,
              "priority": "Sub"
            }
          ],
          "priceInUsdCents": 0
        },
        {
          "index": 3,
          "products": [
            {
              "publisherProductId": "energy",
              "quantity": 5,
              "priority": "Sub"
            }
          ],
          "priceInUsdCents": 0
        },
        {
          "index": 4,
          "products": [
            {
              "publisherProductId": "coins",
              "quantity": 250,
              "priority": "Sub"
            }
          ],
          "priceInUsdCents": 0
        },
        {
          "index": 5,
          "products": [
            {
              "publisherProductId": "booster",
              "quantity": 1,
              "priority": "Sub"
            }
          ],
          "priceInUsdCents": 0
        },
        {
          "index": 6,
          "products": [
            {
              "publisherProductId": "gems",
              "quantity": 25,
              "priority": "Sub"
            }
          ],
          "priceInUsdCents": 0
        },
        {
          "index": 7,
          "products": [
            {
              "publisherProductId": "chest",
              "quantity": 1,
              "priority": "Main"
            }
          ],
          "priceInUsdCents": 0
        }
      ],
      "segments": [
        "New User"
      ],
      "createdAt": "2026-06-08T10:00:44.528Z",
      "updatedAt": "2026-06-08T10:00:44.528Z"
    }
  ]
}
curl -X GET \
  'https://api.appcharge.com/v2/offer?publisherOfferIds=reward-calendar-1' \
  -H 'Content-Type: application/json' \
  -H 'x-publisher-token: <x-publisher-token>'
{
  "totalCount": 1,
  "offers": [
    {
      "offerId": "69fb22e6dd352b799c65e97f",
      "publisherOfferId": "reward-calendar-1",
      "name": "Weekly Reward Calendar",
      "type": "PopUp",
      "subType": "RewardCalendar",
      "active": true,
      "priority": 1,
      "startOver": false,
      "rewardCalendar": {
        "resetBehavior": "ToCalendarStart",
        "popupTrigger": "ShowAutomatically",
        "rewardCollectionBehavior": "ForcePlayerToCollect"
      },
      "offerUi": {
        "offerUiId": "69fb22e6dd352b799c65e97e",
        "active": true,
        "offerUiType": "PopUp",
        "offerUiSubType": "RewardCalendar",
        "name": "Weekly Reward Calendar Design",
        "externalId": "reward-calendar-design-1"
      },
      "productsSequence": [
        {
          "index": 1,
          "products": [
            {
              "publisherProductId": "coins",
              "quantity": 100,
              "priority": "Sub"
            }
          ],
          "priceInUsdCents": 0
        },
        {
          "index": 2,
          "products": [
            {
              "publisherProductId": "gems",
              "quantity": 10,
              "priority": "Sub"
            }
          ],
          "priceInUsdCents": 0
        },
        {
          "index": 3,
          "products": [
            {
              "publisherProductId": "energy",
              "quantity": 5,
              "priority": "Sub"
            }
          ],
          "priceInUsdCents": 0
        },
        {
          "index": 4,
          "products": [
            {
              "publisherProductId": "coins",
              "quantity": 250,
              "priority": "Sub"
            }
          ],
          "priceInUsdCents": 0
        },
        {
          "index": 5,
          "products": [
            {
              "publisherProductId": "booster",
              "quantity": 1,
              "priority": "Sub"
            }
          ],
          "priceInUsdCents": 0
        },
        {
          "index": 6,
          "products": [
            {
              "publisherProductId": "gems",
              "quantity": 25,
              "priority": "Sub"
            }
          ],
          "priceInUsdCents": 0
        },
        {
          "index": 7,
          "products": [
            {
              "publisherProductId": "chest",
              "quantity": 1,
              "priority": "Main"
            }
          ],
          "priceInUsdCents": 0
        }
      ],
      "segments": [
        "New User"
      ],
      "createdAt": "2026-06-08T10:00:44.528Z",
      "updatedAt": "2026-06-08T10:00:44.528Z"
    }
  ]
}

Headers

x-publisher-token
string
required

Publisher token used for authentication.

Query Parameters

publisherOfferIds
string
required

The unique identifier for the offer. To retrieve multiple Reward Calendar offers, separate them with a comma.

Example:

"reward-calendar-1,reward-calendar-2"

Response

Reward Calendar offers retrieved successfully.

totalCount
number

Total number of matching offers.

Example:

1

offers
object[]